;=========================================================================
(defun c:mhmovecopy ()
(if (mh:qawa)
	(mh:movecopy nil nil nil nil (ssget "_I"))
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:getdistcopy ()
(if (mh:qawa)
	(progn
		(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist
										(nth *lang* (list "\nPodaj odlego przesuwania/kopiowania (np. odlego midzy kondygnacjami): " "\nEnter the distance of moving/copying (e.g. distance between floors): "))	;LANG;
									*distmovecopy*)
			);setq
			(setq *distmovecopy* (UiGetDist
									(nth *lang* (list "\nPodaj odlego przesuwania/kopiowania (np. odlego midzy kondygnacjami): " "\nEnter the distance of moving/copying (e.g. distance between floors): "))	;LANG;
								*distmovecopy*))
		);if
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_ml ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Przesu" "Move")) (nth *lang* (list "Lewo" "Left")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_mr ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Przesu" "Move")) (nth *lang* (list "Prawo" "Right")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)	
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_mu ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Przesu" "Move")) (nth *lang* (list "Gra" "Up")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_md ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Przesu" "Move")) (nth *lang* (list "D" "Down")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_cl ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Kopiuj" "Copy")) (nth *lang* (list "Lewo" "Left")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_cr ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Kopiuj" "Copy")) (nth *lang* (list "Prawo" "Right")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_cu ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Kopiuj" "Copy")) (nth *lang* (list "Gra" "Up")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun c:mhmovecopy_cd ()
	(if (mh:qawa)
		(mh:movecopy (mh:getdistcopy) (nth *lang* (list "Kopiuj" "Copy")) (nth *lang* (list "D" "Down")) nil (ssget "_I"))	;LANG;
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun 
;=========================================================================

;=========================================================================
(defun mh:getdistcopy ()
(if (mh:qawa)
	(progn
		(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist
										(nth *lang* (list "\nPodaj odlego przesuwania/kopiowania (np. odlego midzy kondygnacjami): " "\nEnter the distance of moving/copying (e.g. distance between floors): "))	;LANG;
									*distmovecopy*)
			);setq
			*distmovecopy*
		);if
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
);defun
;=========================================================================

;=========================================================================
(defun c:przesunwidok ( / gr code data)
(if (mh:qawa)
	(progn

	(mh:ustzap)

		(princ (nth *lang* (list "\nPodaj kierunek przesunicia widoku? [A-lewo/S-d/D-prawo/W-gra/R-regen/+/-] " "\nEnter the direction of the view shift? [A-left/S-down/D-right/W-up/R-regen/+/-] ")))	;LANG;
		(while	(setq	gr (grread nil 2 0))
				(setq	code (car gr)
						data (cadr gr)
				)
				
	;			(princ "\n")
	;			(princ code)
	;			(princ " ")
	;			(princ data)
	;			(princ " ")
	;			(princ gr)
	;			(princ "\n")
	;			(princ "\nPodaj kierunek przesunicia widoku? [A-lewo/S-d/D-prawo/W-gra/R-regen/+/-] ")
				
				(if (and (= data 97) (= code 2)) (c:przewidl))
				(if (and (= data 65) (= code 2)) (c:przewidl))
				(if (and (= data 100) (= code 2)) (c:przewidp))
				(if (and (= data 68) (= code 2)) (c:przewidp))
				(if (and (= data 119) (= code 2)) (c:przewidg))
				(if (and (= data 87) (= code 2)) (c:przewidg))
				(if (and (= data 115) (= code 2)) (c:przewidd))
				(if (and (= data 83) (= code 2)) (c:przewidd))
				(if (and (= data 114) (= code 2)) (vla-Regen (mh:ACX_ActivDocument) acAllViewports))
				(if (and (= data 82) (= code 2)) (vla-Regen (mh:ACX_ActivDocument) acAllViewports))
				(if (and (= data 45) (= code 2)) (command "_zoom" "0.8333x"))
				(if (and (= data 43) (= code 2)) (command "_zoom" "1.2x"))
				
				(if (or 
						(and (= data 32) (= code 2))
						(and (= data 13) (= code 2))
						(and (= data 8) (= code 2))
						(= code 25)
					) 
					(exit)
				)
		
		
		
		)
	(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:przewidl ( / widok pozx pozy pozz MHSelMember)
(if (mh:qawa)
	(progn

	(setq MHSelMember (mh:SYS_GetSelection))
	(mh:ustzap)

	(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist (nth *lang* (list "\nPodaj odlego przesuwania widoku: " "\nEnter the distance to move the view: ")) *distmovecopy*)	;LANG;
			);setq
	);if

				(setq	widok (getvar "VIEWCTR")
						pozx (nth 0 widok)
						pozy (nth 1 widok)
						pozz (nth 2 widok)
						pozx (- pozx *distmovecopy*))
				(command "_.zoom" "_c" (list pozx pozy pozz) "")

	(mh:ustprzywr) 
	(mh:SYS_SetSelection MHSelMember)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:przewidp ( / widok pozx pozy pozz MHSelMember)
(if (mh:qawa)
	(progn

	(setq MHSelMember (mh:SYS_GetSelection))
	(mh:ustzap)

	(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist (nth *lang* (list "\nPodaj odlego przesuwania widoku: " "\nEnter the distance to move the view: ")) *distmovecopy*)	;LANG;
			);setq
	);if

				(setq	widok (getvar "VIEWCTR")
						pozx (nth 0 widok)
						pozy (nth 1 widok)
						pozz (nth 2 widok)
						pozx (+ pozx *distmovecopy*))
				(command "_.zoom" "_c" (list pozx pozy pozz) "")
			
	(mh:ustprzywr) 
	(mh:SYS_SetSelection MHSelMember)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:przewidg ( / widok pozx pozy pozz MHSelMember)
(if (mh:qawa)
	(progn

	(setq MHSelMember (mh:SYS_GetSelection))
	(mh:ustzap)

	(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist (nth *lang* (list "\nPodaj odlego przesuwania widoku: " "\nEnter the distance to move the view: ")) *distmovecopy*)	;LANG;
			);setq
	);if

				(setq	widok (getvar "VIEWCTR")
						pozx (nth 0 widok)
						pozy (nth 1 widok)
						pozz (nth 2 widok)
						pozy (+ pozy *distmovecopy*))
				(command "_.zoom" "_c" (list pozx pozy pozz) "")
			
	(mh:ustprzywr) 
	(mh:SYS_SetSelection MHSelMember)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:przewidd ( / widok pozx pozy pozz MHSelMember)
(if (mh:qawa)
	(progn

	(setq MHSelMember (mh:SYS_GetSelection))
	(mh:ustzap)

	(if (null *distmovecopy*)
			(setq	*distmovecopy* 10000
					*distmovecopy* (UiGetDist (nth *lang* (list "\nPodaj odlego przesuwania widoku: " "\nEnter the distance to move the view: ")) *distmovecopy*)	;LANG;
			);setq
	);if

				(setq	widok (getvar "VIEWCTR")
						pozx (nth 0 widok)
						pozy (nth 1 widok)
						pozz (nth 2 widok)
						pozy (- pozy *distmovecopy*))
				(command "_.zoom" "_c" (list pozx pozy pozz) "")
			
	(mh:ustprzywr) 
	(mh:SYS_SetSelection MHSelMember)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:obrlll ()
(if (mh:qawa)
	(progn
		(mh:obrotwidoku "L")
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
); defun
;=========================================================================

;=========================================================================
(defun c:obrrrr ()
(if (mh:qawa)
	(progn
		(mh:obrotwidoku "R")
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
); defun
;=========================================================================
